# ******************************************************************************
# VSCP (Very Simple Control Protocol)
# http://www.vscp.org
#
# The MIT License (MIT)
#
# Copyright (c) 2000-2017 Ake Hedman, 
# Grodans Paradis AB <info@grodansparadis.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#
#  This file is part of VSCP - Very Simple Control Protocol
#  http://www.vscp.org
#
# ******************************************************************************

#            !!!!!!!!!!!!!!!!!!!!  W A R N I N G  !!!!!!!!!!!!!!!!!!!!
# This file may be a copy of the original file. This is because the file is
# copied to other projects as a convinience. Thus editing the copy will not make
# it to the original and will be overwritten.
# The original file can be foud in the vscp software source tree under 
# src/vscp/common

VSCP_CLASS1_PROTOCOL                =            0
VSCP_CLASS1_ALARM                   =            1
VSCP_CLASS1_SECURITY                =            2
VSCP_CLASS1_MEASUREMENT             =            10
VSCP_CLASS1_DATA                    =            15
VSCP_CLASS1_INFORMATION             =            20
VSCP_CLASS1_CONTROL                 =            30
VSCP_CLASS1_MULTIMEDIA              =            40
VSCP_CLASS1_AOL                     =            50
VSCP_CLASS1_MEASUREMENT64           =            60
VSCP_CLASS1_MEASUREZONE             =            65
VSCP_CLASS1_MEASUREMENT32           =            70
VSCP_CLASS1_SETVALUEZONE            =            85
VSCP_CLASS1_WEATHER                 =            90
VSCP_CLASS1_WEATHER_FORECAST        =            95
VSCP_CLASS1_PHONE                   =            100
VSCP_CLASS1_DISPLAY                 =            102
VSCP_CLASS1_REMOTE                  =            110
VSCP_CLASS1_GPS                     =            206
VSCP_CLASS1_WIRELESS                =            212
VSCP_CLASS1_DIAGNOSTIC              =            506
VSCP_CLASS1_ERROR                   =            508
VSCP_CLASS1_LOG                     =            509
VSCP_CLASS1_LAB                     =            510
VSCP_CLASS1_LOCAL                   =            511

# Level I classes on Level II

VSCP_CLASS2_LEVEL1_PROTOCOL         =            ( 512 + 0 )
VSCP_CLASS2_LEVEL1_ALARM            =            ( 512 + 1 )
VSCP_CLASS2_LEVEL1_SECURITY         =            ( 512 + 2 )
VSCP_CLASS2_LEVEL1_MEASUREMENT      =            ( 512 + 10 )
VSCP_CLASS2_LEVEL1_DATA             =            ( 512 + 15 )
VSCP_CLASS2_LEVEL1_INFORMATION      =            ( 512 + 20 )
VSCP_CLASS2_LEVEL1_CONTROL          =            ( 512 + 30 )
VSCP_CLASS2_LEVEL1_MULTIMEDIA       =            ( 512 + 40 )
VSCP_CLASS2_LEVEL1_AOL              =            ( 512 + 50 )
VSCP_CLASS2_LEVEL1_MEASUREMENT64    =            ( 512 + 60 )
VSCP_CLASS2_LEVEL1_MEASUREZONE      =            ( 512 + 65 )
VSCP_CLASS2_LEVEL1_MEASUREMENT32    =            ( 512 + 70 )
VSCP_CLASS2_LEVEL1_SETVALUEZONE     =            ( 512 + 85 )
VSCP_CLASS2_LEVEL1_WEATHER          =            ( 512 + 90 )
VSCP_CLASS2_LEVEL1_WEATHER_FORECAST =            ( 512 + 95 )
VSCP_CLASS2_LEVEL1_PHONE            =            ( 512 + 100 )
VSCP_CLASS2_LEVEL1_REMOTE           =            ( 512 + 110 )
VSCP_CLASS2_LEVEL1_GPS              =            ( 512 + 206 )
VSCP_CLASS2_LEVEL1_WIRELESS         =            ( 512 + 212 )
VSCP_CLASS2_LEVEL1_DIAGNOSTIC       =            ( 512 + 507 )
VSCP_CLASS2_LEVEL1_ERROR            =            ( 512 + 508 )
VSCP_CLASS2_LEVEL1_LOG              =            ( 512 + 509 )
VSCP_CLASS2_LEVEL1_LAB              =            ( 512 + 510 )
VSCP_CLASS2_LEVEL1_LOCAL            =            ( 512 + 511 )

# Level II classes
VSCP_CLASS2_PROTOCOL                =            ( 1024 )
VSCP_CLASS2_CONTROL                 =            ( 1025 )
VSCP_CLASS2_INFORMATION             =            ( 1026 )
VSCP_CLASS2_TEXT2SPEECH             =            ( 1028 )
VSCP_CLASS2_CUSTOM                  =            ( 1029 )
VSCP_CLASS2_DISPLAY                 =            ( 1030 )
VSCP_CLASS2_MEASUREMENT_STR         =            ( 1040 )
VSCP_CLASS2_MEASUREMENT_FLOAT       =            ( 1060 )
VSCP_CLASS2_VSCPD                   =            ( 65535 )
